<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="//rawgithub.com/stidges/jquery-searchable/master/dist/jquery.searchable-1.0.0.min.js"></script>
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script src="//netdna.bootstrapcdn.com/bootstrap/3.1.0/js/bootstrap.min.js"></script>
    <script src="https://kit.fontawesome.com/cbcfed9f1b.js" crossorigin="anonymous"></script>
    <title>Search weather!</title>
  </head>
  <body>
    <div class="container">
      <div class="row">
          <div class="col-lg-12">
              <div class="page-header">
                  <h1>找餐廳!<br>現在時間：{{ now }} 星期 {{weekday}}</h1>
              </div>
               <h4>
                      {% if user.is_authenticated %}
                      Hello, {{ user.username }}!</br>
                      <a href="{% url 'logout' %}">Logout</a><br>
                    {% else %}
                     <p>You are not logged in</p>
                      <a href="{% url 'login' %}">Login Page</a>
                    {% endif %}
                  </h4>
          </div>
      </div>

      <br><br>




        <h3>現在有開的店</h3>
      <div class="row">
          <div class="col-lg-12">
              <table class="table table-striped" id="table">
                  <thead>
                      <tr>
                        <th>名稱</th>
                        <th>營業時間</th>
                      </tr>
                  </thead>
                  <tbody>
                    {% for q in query %}
                      <tr>
                          <td>{{q.name}}</td>
                          {% if weekday == 5%}
                          <td>{{q.fri}}</td>
                          {% endif %}
                          {% if weekday == 1%}
                          <td>{{q.mon}}</td>
                          {% endif %}
                          {% if weekday == 2%}
                          <td>{{q.tue}}</td>
                          {% endif %}
                          {% if weekday == 3%}
                          <td>{{q.wed}}</td>
                          {% endif %}
                          {% if weekday == 4%}
                          <td>{{q.thr}}</td>
                          {% endif %}
                          {% if weekday == 6%}
                          <td>{{q.sat}}</td>
                          {% endif %}
                          {% if weekday == 7%}
                          <td>{{q.sun}}</td>
                          {% endif %}
                      </tr>
                    {% endfor %}
                    </tbody>
                </table>
                <hr>
            </div>
        </div>
    </div>

     <script>
        {% if noResult%}
            alert("{{noResult}}")
        {% endif %}
    </script>

  </body>
</html>